module Encoding.Base85 
  ( enc85
  , dec85
  ) where

import qualified Codec.Binary.Base85 as B85
import Data.ByteString.UTF8 as BSU      -- from utf8-string
import qualified Data.ByteString.Char8 as C

dec85 :: String -> String
dec85 input =
    case B85.decode (BSU.fromString input) of
     Right decodedStr -> C.unpack decodedStr
     Left _ -> "Error decoding Base85.\n"

enc85 :: String -> String
enc85 = C.unpack . B85.encode . BSU.fromString

